apiVersion: v1
kind: Service
metadata:
  name: rook-ceph-rgw-my-store-external
  namespace: think-ns
  labels:
    app: rook-ceph-rgw
    rook_cluster: think-ns
    rook_object_store: my-store
spec:
  ports:
  - name: rgw
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: rook-ceph-rgw
    rook_cluster: think-ns
    rook_object_store: my-store
  sessionAffinity: None
  type: NodePort

